# nfs.update

Update NFS Service Configuration.

servers - Represents number of servers to create. By default, the number of nfsd is determined by the capabilities of the system. To specify the number of nfsd, set a value between 1 and 256. ‘Unset’ the field to return to default. This field will always report the number of nfsd to start.

> INPUT: 1 .. 256 or ‘unset’ where unset will enable the automatic determination and 1 ..256 will set the number of nfsd Default: Number of nfsd is automatically determined and will be no less than 1 and no more than 32

> The number of mountd will be 1/4 the number of reported nfsd.

allow_nonroot - If ‘enabled’ it allows non-root mount requests to be served.

> INPUT: enable/disable (True/False) Default: disabled

bindip - Limit the server IP addresses available for NFS By default, NFS will listen on all IP addresses that are active on the server. To specify the server interface or a set of interfaces provide a list of IP’s. If the field is unset/empty, NFS listens on all available server addresses.

> INPUT: list of IP addresses available configured on the server Default: Use all available addresses (empty list)

protocols - enable/disable NFSv3, NFSv4 Both can be enabled or NFSv4 or NFSv4 by themselves. At least one must be enabled. Note: The ‘showmount’ command is available only if NFSv3 is enabled.

> INPUT: Select NFSv3 or NFSv4 or NFSv3,NFSv4 Default: NFSv3,NFSv4

v4_krb - Force Kerberos authentication on NFS shares If enabled, NFS shares will fail if the Kerberos ticket is unavilable

> INPUT: enable/disable Default: disabled

v4_domain - Specify a DNS domain (NFSv4 only) If set, the value will be used to override the default DNS domain name for NFSv4. Specifies the ‘Domain’ idmapd.conf setting.

> INPUT: a string Default: unset, i.e. an empty string.

mountd_port - mountd port binding The value set specifies the port mountd(8) binds to.

> INPUT: unset or an integer between 1 .. 65535 Default: unset

rpcstatd_port - statd port binding The value set specifies the port rpc.statd(8) binds to.

> INPUT: unset or an integer between 1 .. 65535 Default: unset

rpclockd_port - lockd port binding The value set specifies the port rpclockd_port(8) binds to.

> INPUT: unset or an integer between 1 .. 65535 Default: unset

rdma - Enable/Disable NFS over RDMA support Available on supported platforms and requires an installed and RDMA capable NIC. NFS over RDMA uses port 20040.

> INPUT: Enable/Disable Default: Disable

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: nfs_update

#### nfs_update

Type: object

NFSUpdateArgs parameters.

No Additional Properties

##

#### Servers

Specify the number of nfsd. Default: Number of nfsd is equal number of CPU.

## Any of

Type: integer

Value must be greater or equal to `1` and lesser or equal to `256`

Type: null

##

#### Allow Nonroot

Type: boolean

Allow non-root mount requests. This equates to 'insecure' share option.

##

#### Protocols

Type: array of enum (of string)

Specify supported NFS protocols: NFSv3, NFSv4 or both can be listed.

No Additional Items

##### Each item of this array must be:

Type: enum (of string)

##### Must be one of:

- "NFSV3"
- "NFSV4"

##

#### V4 Krb

Type: boolean

Force Kerberos authentication on NFS shares.

##

#### V4 Domain

Type: string

Specify a DNS domain (NFSv4 only).

##

#### Bindip

Type: array of string

Limit the server IP addresses available for NFS.

No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Mountd Port

Specify the mountd port binding.

## Any of

Type: integer

Value must be greater or equal to `1` and lesser or equal to `65535`

Type: null

##

#### Rpcstatd Port

Specify the rpc.statd port binding.

## Any of

Type: integer

Value must be greater or equal to `1` and lesser or equal to `65535`

Type: null

##

#### Rpclockd Port

Specify the rpc.lockd port binding.

## Any of

Type: integer

Value must be greater or equal to `1` and lesser or equal to `65535`

Type: null

##

#### Mountd Log

Type: boolean

Enable or disable mountd logging.

##

#### Statd Lockd Log

Type: boolean

Enable or disable statd and lockd logging.

##

#### Userd Manage Gids

Type: boolean

Enable to allow server to manage gids.

##

#### Rdma

Type: boolean

Enable or disable NFS over RDMA. Requires RDMA capable NIC.

##

#### NfsEntry

Type: object

The updated NFS service configuration.

No Additional Properties

##

#### Id

Type: integer

Placeholder identifier. Not used as there is only one.

##

#### Servers

Specify the number of nfsd. Default: Number of nfsd is equal number of CPU.

## Any of

Type: integer

Value must be greater or equal to `1` and lesser or equal to `256`

Type: null

##

#### Allow Nonroot

Type: boolean

Allow non-root mount requests. This equates to 'insecure' share option.

##

#### Protocols

Type: array of enum (of string)

Specify supported NFS protocols: NFSv3, NFSv4 or both can be listed.

No Additional Items

##### Each item of this array must be:

Type: enum (of string)

##### Must be one of:

- "NFSV3"
- "NFSV4"

##

#### V4 Krb

Type: boolean

Force Kerberos authentication on NFS shares.

##

#### V4 Domain

Type: string

Specify a DNS domain (NFSv4 only).

##

#### Bindip

Type: array of string Default: []

Limit the server IP addresses available for NFS.

No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Mountd Port

Specify the mountd port binding.

## Any of

Type: integer

Value must be greater or equal to `1` and lesser or equal to `65535`

Type: null

##

#### Rpcstatd Port

Specify the rpc.statd port binding.

## Any of

Type: integer

Value must be greater or equal to `1` and lesser or equal to `65535`

Type: null

##

#### Rpclockd Port

Specify the rpc.lockd port binding.

## Any of

Type: integer

Value must be greater or equal to `1` and lesser or equal to `65535`

Type: null

##

#### Mountd Log

Type: boolean

Enable or disable mountd logging.

##

#### Statd Lockd Log

Type: boolean

Enable or disable statd and lockd logging.

##

#### V4 Krb Enabled

Type: boolean

Status of NFSv4 authentication requirement (status only).

##

#### Userd Manage Gids

Type: boolean

Enable to allow server to manage gids.

##

#### Keytab Has Nfs Spn

Type: boolean

Report status of NFS Principal Name in keytab (status only).

##

#### Managed Nfsd

Type: boolean

Report status of 'servers' field.
If true, the number of nfsd is managed by the server (status only).

##

#### Rdma

Type: boolean

Enable or disable NFS over RDMA. Requires RDMA capable NIC.

Required roles: SHARING_NFS_WRITE